<div class="card">

  <div class="card__left">

    <div class="card__flags">
      <div class="card__flags-list" [ngStyle]="{transform: 'rotate(-' + getAngleCenteringFlags() + 'deg)'}">

        <div class="card__flags-item" *ngFor="let flagUrl of flags">
          <div class="card__flags-item-inner" [ngStyle]="{transform: 'rotate(' + getAngleCenteringFlags() + 'deg)'}">
            <img [src]='flagUrl' alt="">
            <button
              class="card__flags-item-close"
              *ngIf="editableFlags"
              (click)="deleteFlag(flagUrl)"
            >
              <svg width="17" height="17" viewBox="0 0 17 17" fill="none" xmlns="http://www.w3.org/2000/svg">
                <rect x="3.26367" y="11.749" width="12" height="2.76923" transform="rotate(-45 3.26367 11.749)" fill="#fff"/>
                <rect x="11.7489" y="13.707" width="12" height="2.76923" transform="rotate(-135 11.7489 13.707)" fill="#fff"/>
              </svg>
            </button>
          </div>
        </div>

      </div>
    </div>

    <div class="card__photo-group">

      <div class="card__photo">
        <img src="/assets/img/avatar.png" alt="">

        <div class="card__photo-edit">
          <button (click)="changeEditableFlags()">
            <svg width="10" height="10" viewBox="0 0 10 10" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path d="M0.5 7.625V9.5H2.375L7.905 3.97L6.03 2.095L0.5 7.625ZM9.355 2.52C9.55 2.325 9.55 2.01 9.355 1.815L8.185 0.644999C7.99 0.449999 7.675 0.449999 7.48 0.644999L6.565 1.56L8.44 3.435L9.355 2.52Z" fill="white" fill-opacity="0.98"/>
            </svg>
          </button>
        </div>
      </div>

    </div>

  </div>

  <div class="card__right">

    <div class="card__title">
      Cristofer Carder Junior
      <div class="card__title-icon">
        <svg width="12" height="15" viewBox="0 0 12 16" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path d="M6 0.666656L0 3.33332V7.33332C0 11.0333 2.56 14.4933 6 15.3333C9.44 14.4933 12 11.0333 12 7.33332V3.33332L6 0.666656ZM4.66667 11.3333L2 8.66666L2.94 7.72666L4.66667 9.44666L9.06 5.05332L10 5.99999L4.66667 11.3333Z" fill="#47B4B9" fill-opacity="0.6"/>
        </svg>
      </div>
    </div>

    <div class="card__rating-and-reviews">
      <div class="card__rating">
        <bar-rating [(rate)]="rating" [max]="5" [theme]="'fontawesome-o'"></bar-rating>
      </div>
      <div class="card__reviews">
        <a href="">234 Reviews</a>
      </div>
    </div>

    <div class="card__description">UI\UX Designer, Web Designer,
      Mobile App Designer, UI\UX Designer, Web Designer,Mobile App Designer</div>

    <div class="card__location">
      <div class="card__location-icon">
        <svg width="6" height="11" viewBox="0 0 6 11" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path d="M2.98437 0.916656C1.37691 0.916656 0.0768223 2.35124 0.0768223 4.12499C0.0768223 6.53124 2.98437 10.0833 2.98437 10.0833C2.98437 10.0833 5.89193 6.53124 5.89193 4.12499C5.89193 2.35124 4.59184 0.916656 2.98437 0.916656ZM2.98437 5.27082C2.41117 5.27082 1.94596 4.75749 1.94596 4.12499C1.94596 3.49249 2.41117 2.97916 2.98437 2.97916C3.55758 2.97916 4.02279 3.49249 4.02279 4.12499C4.02279 4.75749 3.55758 5.27082 2.98437 5.27082Z" fill="#3C738D" fill-opacity="0.8"/>
        </svg>
      </div>
      Lviv, Ukraine
    </div>

    <div class="card__edit">
      <button>
        <svg width="19" height="19" viewBox="0 0 19 19" fill="none" xmlns="http://www.w3.org/2000/svg">
          <path d="M0 15.25V19H3.75L14.81 7.94L11.06 4.19L0 15.25ZM17.71 5.04C18.1 4.65 18.1 4.02 17.71 3.63L15.37 1.29C14.98 0.899998 14.35 0.899998 13.96 1.29L12.13 3.12L15.88 6.87L17.71 5.04Z" fill="#4C547B"/>
        </svg>
      </button>
    </div>

  </div>

</div>
